unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, 
    Dialogs, StdCtrls, LMessages, LCLType;

type

  { TMyGroupBox }

  TMyGroupBox = class(TGroupBox)
  public
    procedure WndProc(var Message: TLMessage); override;
  end;

  { TForm1 }

  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
  private
    FGroupBox: TMyGroupBox;
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  FGroupBox := TMyGroupBox.Create(Self);
  FGroupBox.Align := alClient;
  FGroupBox.Parent := Self;
  FGroupBox.Caption := ' Klick mal in mich :) ';
end;

{ TMyGroupBox }

procedure TMyGroupBox.WndProc(var Message: TLMessage);
var
  aMsg: UINT;
begin
  aMsg := Message.msg;
  case aMsg of
    $B00A, LM_SETCURSOR, LM_MOUSEMOVE:;
    LM_LBUTTONDOWN:      WriteLn('LM_LBUTTONDOWN');
    LM_LBUTTONUP:        WriteLn('LM_LBUTTONUP');
    LM_ERASEBKGND:       WriteLn('LM_ERASEBKGND');
    LM_PAINT:            WriteLn('LM_PAINT');
    else WriteLn(IntToHex(aMsg, SizeOf(aMsg)) + '/' + IntToStr(aMsg));
  end;
  inherited WndProc(Message);
end;

end.

